<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>TransitDatabase.OnGetTransitInfoListenerAdapter (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TransitDatabase.OnGetTransitInfoListenerAdapter (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransitDatabase.OnGetTransitInfoListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html" target="_top">Frames</a></li>
<li><a href="TransitDatabase.OnGetTransitInfoListenerAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class TransitDatabase.OnGetTransitInfoListenerAdapter" class="title">Class TransitDatabase.OnGetTransitInfoListenerAdapter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.TransitDatabase.OnGetTransitInfoListenerAdapter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListener</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.html" title="class in com.here.android.mpa.mapping">TransitDatabase</a></dd>
</dl>
<hr>
<br>
<pre>public abstract static class <span class="typeNameLabel">TransitDatabase.OnGetTransitInfoListenerAdapter</span>
extends java.lang.Object
implements <a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListener</a></pre>
<div class="block">Represents a listener to provide information about <code>TransitDatabase</code> events.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html#OnGetTransitInfoListenerAdapter--">OnGetTransitInfoListenerAdapter</a></span>()</code> </td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html#onEnd-com.here.android.mpa.mapping.TransitDatabase.Error-">onEnd</a></span>(<a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.Error.html" title="enum in com.here.android.mpa.mapping">TransitDatabase.Error</a> error)</code>
<div class="block">A callback indicating the end of available transit database results or an encountered
 error.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html#onTransitAccessInfo-com.here.android.mpa.mapping.TransitAccessInfo-">onTransitAccessInfo</a></span>(<a href="../../../../../com/here/android/mpa/mapping/TransitAccessInfo.html" title="class in com.here.android.mpa.mapping">TransitAccessInfo</a> info)</code>
<div class="block">A callback indicating the availability of transit access information.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html#onTransitLineInfo-com.here.android.mpa.mapping.TransitLineInfo-">onTransitLineInfo</a></span>(<a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html" title="class in com.here.android.mpa.mapping">TransitLineInfo</a> info)</code>
<div class="block">A callback indicating the availability of transit line information.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html#onTransitStopInfo-com.here.android.mpa.mapping.TransitStopInfo-">onTransitStopInfo</a></span>(<a href="../../../../../com/here/android/mpa/mapping/TransitStopInfo.html" title="class in com.here.android.mpa.mapping">TransitStopInfo</a> info)</code>
<div class="block">A callback indicating the availability of transit stop information.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html#onTransitSystemInfo-com.here.android.mpa.mapping.TransitSystemInfo-">onTransitSystemInfo</a></span>(<a href="../../../../../com/here/android/mpa/mapping/TransitSystemInfo.html" title="class in com.here.android.mpa.mapping">TransitSystemInfo</a> info)</code>
<div class="block">A callback indicating the availability of transit system information.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OnGetTransitInfoListenerAdapter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OnGetTransitInfoListenerAdapter</h4>
<pre>public OnGetTransitInfoListenerAdapter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onTransitLineInfo-com.here.android.mpa.mapping.TransitLineInfo-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTransitLineInfo</h4>
<pre>public void onTransitLineInfo(<a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html" title="class in com.here.android.mpa.mapping">TransitLineInfo</a> info)</pre>
<div class="block">A callback indicating the availability of transit line information.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html#onTransitLineInfo-com.here.android.mpa.mapping.TransitLineInfo-">onTransitLineInfo</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>info</code> - A <a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html" title="class in com.here.android.mpa.mapping"><code>TransitLineInfo</code></a> for the requested transit line</dd>
</dl>
</li>
</ul>
<a name="onTransitStopInfo-com.here.android.mpa.mapping.TransitStopInfo-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTransitStopInfo</h4>
<pre>public void onTransitStopInfo(<a href="../../../../../com/here/android/mpa/mapping/TransitStopInfo.html" title="class in com.here.android.mpa.mapping">TransitStopInfo</a> info)</pre>
<div class="block">A callback indicating the availability of transit stop information.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html#onTransitStopInfo-com.here.android.mpa.mapping.TransitStopInfo-">onTransitStopInfo</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>info</code> - A <a href="../../../../../com/here/android/mpa/mapping/TransitStopInfo.html" title="class in com.here.android.mpa.mapping"><code>TransitStopInfo</code></a> for the requested transit stop</dd>
</dl>
</li>
</ul>
<a name="onTransitSystemInfo-com.here.android.mpa.mapping.TransitSystemInfo-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTransitSystemInfo</h4>
<pre>public void onTransitSystemInfo(<a href="../../../../../com/here/android/mpa/mapping/TransitSystemInfo.html" title="class in com.here.android.mpa.mapping">TransitSystemInfo</a> info)</pre>
<div class="block">A callback indicating the availability of transit system information.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html#onTransitSystemInfo-com.here.android.mpa.mapping.TransitSystemInfo-">onTransitSystemInfo</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>info</code> - A <code>TransitSystemInfo</code> for the requested transit system</dd>
</dl>
</li>
</ul>
<a name="onTransitAccessInfo-com.here.android.mpa.mapping.TransitAccessInfo-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTransitAccessInfo</h4>
<pre>public void onTransitAccessInfo(<a href="../../../../../com/here/android/mpa/mapping/TransitAccessInfo.html" title="class in com.here.android.mpa.mapping">TransitAccessInfo</a> info)</pre>
<div class="block">A callback indicating the availability of transit access information.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html#onTransitAccessInfo-com.here.android.mpa.mapping.TransitAccessInfo-">onTransitAccessInfo</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>info</code> - A <code>TransitAccessInfo</code> for the requested transit access point</dd>
</dl>
</li>
</ul>
<a name="onEnd-com.here.android.mpa.mapping.TransitDatabase.Error-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onEnd</h4>
<pre>public abstract void onEnd(<a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.Error.html" title="enum in com.here.android.mpa.mapping">TransitDatabase.Error</a> error)</pre>
<div class="block">A callback indicating the end of available transit database results or an encountered
 error.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html#onEnd-com.here.android.mpa.mapping.TransitDatabase.Error-">onEnd</a></code> in interface <code><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>error</code> - An appropriate <code>Error</code> value</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransitDatabase.OnGetTransitInfoListenerAdapter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html" target="_top">Frames</a></li>
<li><a href="TransitDatabase.OnGetTransitInfoListenerAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
